Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 162028

Summary: Evolution connector (MS Exchange) accounts don't keep signature
Product: [Fedora] Fedora Reporter: Chase Stephens <chase.stephens>
Component: evolution-connectorAssignee: Matthew Barnes <mbarnes>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 4CC: mcepl, mcepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-02 17:02:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chase Stephens 2005-06-29 09:49:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Evolution doesn't remember the signature assigned to a connector-based account after restarting Evolution. It remembers other signatures fine. The signature exists and can be selected manually.

Version-Release number of selected component (if applicable):
evolution-connector-2.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. Set up an evolution-connector (MS Exchange) account
2. Create a signature
3. Choose Edit --> Preferences --> Mail Accounts --> <exchange account>
4. Set the created signature as the default
5. Exit Evolution
6. Start Evolution
7. Compose a message
  

Actual Results:  Message has no signature

Expected Results:  Message should default to the signature set up in Preferences

Additional info:

Comment 1 Bojan Smojver 2005-07-01 00:20:31 UTC
Just a "me too" with the latest Evo builds:

evolution-webcal-2.2.1-1.fc4
evolution-2.2.3-1.fc4
evolution-connector-2.2.3-1.fc4
evolution-data-server-1.2.3-1.fc4

Comment 2 Bojan Smojver 2005-07-01 00:23:01 UTC
Also worth mentioning here that generally setting any kind of preferences in Evo
may affect autocompletition and contacts through GAL. The entries (Global
Address Book and Contact) simply go away.

Bottom line, latest builds of Evo related stuff unfortunately work and feel
exactly the same as the previous ones - all the bugs appear to be there.

Comment 3 Glenn Callow 2005-08-11 10:20:58 UTC
And I'll add a me too as well.

Additionally :-

If I create a new Signature with the "Add New Signature..." in the connector
preferences (instead of Composer preferences), select that signature and then
restart evolution the signature does appear in my 'New Messages' but is not
selected in my connector preferences.  If I restart evolution again, then the
signature no longer appears in my messages, regardless of whether I've been into
the connector preferences the previous reboot.


Comment 4 Glenn Callow 2005-08-12 10:20:36 UTC
The new packages that have just been uploaded (2.2.3 for evolution, 1.2.3 for
evolution-data-server) have fixed this for me.

Comment 5 Glenn Callow 2005-08-12 10:25:19 UTC
Ok - I spoke too soon.  The new packages haven't fixed it.  Worked for one
reboot and has now stopped again.  Signature problem is now exactly as before.

Comment 6 Christian Iseli 2007-01-22 10:04:01 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 7 Matěj Cepl 2007-08-31 15:21:08 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 8 Matthew Barnes 2007-10-02 17:02:40 UTC
Closing as INSUFFICIENT_DATA.